Entrar

Get or Create

POST https://{organization}.myguper.com/api/register/customer/findOrCreate

Busca um cliente pelos identificadores informados (cellphone, email, documento, etc.). Se não encontrar, cria um novo com esses dados e o retorna.

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.
User-Agent string
Signature string

Corpo da requisição

Content-Type: json

{
    "name": "Tintin",
    "email": "tintin@tintin.com.br",
    "cellphone": "+55 19 9 8245-6598",
    "id": 23
}

Respostas

{
    "id": 44,
    "created": false,
    "name": "Maria Silva",
    "cellphone": "19954264546",
    "email": "maria@example.com"
}
Copied to clipboard